#
# spec file for package libsvg-cairo (Version 0.1.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libsvg libsvg-devel libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libsvg-cairo
BuildRequires:  cairo-devel libjpeg-devel libsvg-devel
%define _prefix /usr
License:        LGPL
Group:          System/Libraries
Summary:        Render SVG Content Using cairo
Version:        0.1.6
Release:        16.2
URL:            http://www.cairographics.org/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.



Authors:
--------
    Carl Worth <cworth@isi.edu>

%debug_package
%package devel
Summary:        Render SVG Content Using cairo
Group:          System/Libraries
Requires:       %{name} = %{version}
Requires:       libsvg-devel
Requires:       cairo-devel

%description devel
libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.



Authors:
--------
    Carl Worth <cworth@isi.edu>

%prep
%setup
%{?suse_update_config:%{suse_update_config -f}}
chmod 644 AUTHORS ChangeLog COPYING INSTALL NEWS README

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.*a
%{_libdir}/*.so
%{_includedir}/svg-cairo.h

%changelog -n libsvg-cairo
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 02 2005 - sbrabec@suse.cz
- New SuSE package, version 0.1.6 (#120043).
